## org.exist.storage.serializers
Class NativeSerializer

    java.lang.Object
      org.exist.storage.serializers.Serializer
          org.exist.storage.serializers.NativeSerializer

All Implemented Interfaces:
  org.xml.sax.XMLReader

public class NativeSerializer
extends Serializer

Serializer implementation for the native database backend.

Author:
  wolf

Field Summary
`static int` `EXIST_ID_ALL`
`static int` `EXIST_ID_ELEMENT`
`static int` `EXIST_ID_NONE`

Fields inherited from class org.exist.storage.serializers.Serializer
`ENCODING, EXIST_NS, GENERATE_DOC_EVENTS, TAG_ATTRIBUTE_MATCHES, TAG_BOTH, TAG_ELEMENT_MATCHES, TAG_NONE`

Constructor Summary
`NativeSerializer(DBBroker broker, Configuration config)`

Methods inherited from class org.exist.storage.serializers.Serializer

`getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, getProperty, getStylesheetProperty, getUser, hasXSLPi, isStylesheetApplied, parse, parse, prepareStylesheets, reset, serialize, serialize, serialize, serialize, serialize, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperties, setProperties, setProperty, setReceiver, setSAXHandlers, setStylesheet, setStylesheet, setStylesheetParam, setUser, toReceiver, toSAX, toSAX, toSAX, toSAX`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXIST_ID_NONE

    public static final int EXIST_ID_NONE

See Also:
  Constant Field Values

### EXIST_ID_ELEMENT

    public static final int EXIST_ID_ELEMENT

See Also:
  Constant Field Values

### EXIST_ID_ALL

    public static final int EXIST_ID_ALL

See Also:
  Constant Field Values

Constructor Detail

### NativeSerializer

    public NativeSerializer(DBBroker broker,
                            Configuration config)

Copyright (C) Wolfgang Meier. All rights reserved.